%global momorel 2
%global md5sum_src0 c5885de1b18c9c7cf944d8845eb9c64c
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary:	Kerry is a KDE frontend for Beagle
Name:		kerry
Version:	0.2.1
Release: %{momorel}m%{?dist}
License:	GPL
URL:		http://en.opensuse.org/Kerry
Group:		User Interface/Desktops
%NoSource 0	http://developer.kde.org/~binner/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	beagle >= 0.2.5
BuildPreReq:	qt-devel >= 3.3
BuildPreReq:	kdelibs-devel >= 3.5.6-6m
BuildPreReq:	libbeagle-devel
BuildPreReq:	desktop-file-utils >= 0.10

%description
A desktop search tool integrated with Beagle and KDE.

%prep
%setup -q

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --with-qt-dir=%{qtdir} \
            --with-qt-includes=%{qtdir}/include \
            --with-qt-libraries=%{qtdir}/lib \
            --enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
            --enable-gcc-hidden-visibility \
%endif
            --disable-debug \
            --disable-warnings \
            --disable-rpath

%make
make check

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

# move shutdown.sh
mv %{buildroot}/usr/shutdown/beagled-shutdown.sh %{buildroot}/%{_bindir}
rm -rf %{buildroot}/usr/shutdown

# install desktop file for kerry
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Application \
  --remove-category Core \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/kde/kerry.desktop

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/beagled-shutdown.sh
%{_bindir}/kerry
%{_libdir}/kde3/kcm_beagle.la
%{_libdir}/kde3/kcm_beagle.so
%{_libdir}/kde3/kerry.la
%{_libdir}/kde3/kerry.so
%{_libdir}/libkdeinit_kerry.la
%{_libdir}/libkdeinit_kerry.so
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/kcmbeagle.desktop
%{_datadir}/applications/kde/kerry.desktop
%{_datadir}/applnk/.hidden/kcmkerry.desktop
%{_datadir}/autostart/beagled.desktop
%{_datadir}/autostart/kerry.autostart.desktop
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/kcmbeagle.mo
%{_datadir}/locale/*/LC_MESSAGES/kerry.mo

%changelog
* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-2m)
- rebuild against kdelbs

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-1m)
- update to 0.2

* Sat Nov  4 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.99-1m)
- update to 0.1.99 (0.2rc)

* Tue Sep 26 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.91-1m)
- update to 0.1.91
- delete unused patch0

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.90-3m)
- remove Application from Categories of desktop file

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.90-2m)
- rebuild against kdelibs-3.5.4-3m

* Sat Jul  8 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.1.90-1m)
- update to 0.1.90 (0.2 beta)

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-2m)
- modify %%files

* Thu Jun  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.1.1-1m)
- initial build for Momonga Linux
